<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_bdf46cfa1aba0af" . "38c9a9fa98dfd831" . "b" => base64_decode("YXBwX3B1Ymxpc2g" . "="), "_1be4a86e" . "c54058894" . "c0dc8eeb4" . "4bf65a" => base64_decode("Y29tbW9uLnR5cGUucHViX3B" . "hZ2Vz"), "_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d" => base64_decode("bG1z" . "Zw=="), "_9f55fef472b741cb222ce4503" . "e90012a" => base64_decode("cHViX3B" . "hZ2U="));
use Claromentis\Search\ItemType;






class PublishApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_9f55fef472b741cb222ce4" . "503e90012a"] => function () {
            return new ItemType\PublishPage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0c5123aa744f69bb" . "c0e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_1be4a86" . "ec540588" . "94c0dc8e" . "eb44bf65" . "a"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_bdf46cfa1aba0af38c9a9fa98dfd831" . "b"];
    }
}